data-securitiesByBoard
Retrieve the list of securities by filter criteria. The client may provide only one of the three parameters symbol, board, or index to filter the list of securities.
Authorization
Bearer Enter the JWT token in the format Bearer <token>.
In: header
Header Parameters
The content format of the request body, use "application/json".
Information about the client sending the request.
The desired response language. If this header is absent, the system defaults to en.
Query Parameters
The securities symbol to query. Provide only one of the three parameters symbol, board, or index.
The exchange code for which to retrieve the list of securities. The value can be `HOSE`, `HNX`, or `UPCOM`.
The index code for which to retrieve the list of securities.
Response Headers
The request limit for the period.
The number of requests remaining in the current period.
The time at which the request limit resets.
Response Body
application/json
application/json
curl -X GET "https://api.ssi.com.vn/api/v3/data/securitiesByBoard" \ -H "Content-Type: application/json"Success
[
{
"symbol": "string",
"symbolNameVi": "string",
"symbolNameEn": "string",
"board": "HOSE",
"lotSize": "string",
"maturityDate": "string",
"firstTradingDate": "string",
"lastTradingDate": "string",
"cwUnderlyingSymbol": "string",
"cwExercisePrice": "string",
"cwExecutionRatio": "string",
"listedShare": "string",
"icbCode": "string",
"icbName": "string",
"iIndex": "string",
"iNav": "string",
"openInterest": "string",
"settlementPrice": "string"
}
]Invalid request.
{
"code": "400",
"msg": "Invalid request"
}